Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.commands
Class GetAuditEventsCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>
          org.jbpm.services.task.audit.commands.GetAuditEventsCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.internal.task.api.model.TaskEvent>>, Command<List<org.kie.internal.task.api.model.TaskEvent>>

    public class GetAuditEventsCommand

extends TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetAuditEventsCommand()`
`GetAuditEventsCommand(long taskId, org.kie.internal.task.api.QueryFilter filter)`

Method Summary
`List<org.kie.internal.task.api.model.TaskEvent>` | `execute(org.kie.internal.command.Context context)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAuditEventsCommand

    public GetAuditEventsCommand()

### GetAuditEventsCommand

    public GetAuditEventsCommand(long taskId,
                                 org.kie.internal.task.api.QueryFilter filter)

Method Detail

### execute

    public List<org.kie.internal.task.api.model.TaskEvent> execute(org.kie.internal.command.Context context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.